net.sf.cglib.proxy

## Interface Enhancer.EnhancerKey

- Enclosing class:
    Enhancer

      public static interface Enhancer.EnhancerKey

  Internal interface, only public due to ClassLoader issues.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `newInstance(java.lang.String type, java.lang.String[] interfaces, CallbackFilter filter, Type[] callbackTypes, boolean useFactory, boolean interceptDuringConstruction, java.lang.Long serialVersionUID)`

- - ### Method Detail

    - #### newInstance

          java.lang.Object newInstance(java.lang.String type,
                                     java.lang.String[] interfaces,
                                     CallbackFilter filter,
                                     Type[] callbackTypes,
                                     boolean useFactory,
                                     boolean interceptDuringConstruction,
                                     java.lang.Long serialVersionUID)

Copyright (c) 2001 - Apache Software Foundation